Subject: [PATCH V4 1/3] PM / Domains: Initial PM clock support for genpd

From: [email-masked] (Kevin Hilman)
Date: Mon, 01 Dec 2014 17:09:45 -0800

Ulf Hansson <[email-masked]> writes:

> It's quite common for PM domains to use PM clocks. Typically from SOC
> specific code, the per device PM clock list is created and
> pm_clk_suspend|resume() are invoked to handle clock gating/ungating.
>
> A step towards consolidation is to integrate PM clock support into
> genpd, which is what this patch does.
>
> In this initial step, the calls to the pm_clk_suspend|resume() are
> handled within genpd, but the per device PM clock list still needs to
> be created from SOC specific code. It seems reasonable to have gendp to
> handle that as well, but that left to future patches to address.
>
> It's not every users of genpd that are keen on using PM clocks, thus we
> need to provide this a configuration option for genpd. Therefore let's
> add flag field in the genpd struct to keep this information and define
> a new GENDP_FLAG_PM_CLK bit for it.
>
> Signed-off-by: Ulf Hansson <[email-masked]>
> Acked-by: Geert Uytterhoeven <[email-masked]>

Acked-by: Kevin Hilman <[email-masked]>

Are you also planning to add a way to enable this option from DT?

Kevin